xorp(1)

NAME
xorpsh — XORP Command Shell

SYNOPSIS

xorpsh [-c command] [-t directory] [-e] [-h] [-v]

DESCRIPTION

This manual page documents briefly the xorpsh command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

xorpsh is the command used to interact with a eXtensible Open Router Platform (XORP) router. This command starts up a command line interface (CLI), that allows the configuration of the router and monitoring of the router state.

The xorpsh command provides an interactive command shell to a XORP user, similar in many ways to the role played by a Unix shell. In a production router xorpsh might be set up as an user's login shell - they would login to the router via ssh and be directly in the xorpsh. It can also be run directly from the Unix command line.

xorpsh should normally be run as a regular user; it is neither necessary or desirable to run it as root. If an user is to be permitted to make changes to the running router configuration, that user needs to be in the Unix group xorp.

The Debian package installation automatically sets up both a xorp user and a xorp group to which this user belongs. However, any user can run the xorpsh command unless locally restricted by the administrator.

OPTIONS

xorpsh allows the following options:

-h  Show summary of options.

-v  Print verbose information.

-c command
    Specify command(s) to execute.

-t directory
    Specify templates directory.

-e  Exit immediately if cannot connect to the rtrmgr

SEE ALSO

xorp_rtrmgr (8)

This program is documented fully in the Xorp User Manual, chapter Command Structure, available at /usr/share/doc/xorp-doc/ in Debian systems when the xorp-doc package is installed.

AUTHOR

XORP is Copyright (c) 2001-2009 XORP, Inc.

This manual page was written by Javier Fernandez-Sanguino jfs@debian.org for the Debian system (but may be used by others). For licensing details please see /usr/share/doc/xorp/copyright.